@import '../../assets/styles/common.scss';

.challenge {
  display: flex;
  justify-content: center;
  width: 95%;
  padding: 2rem;

  &__details {
    width: 40%;
    height: 100%;
    padding: 3rem 4rem;
    border: 1px solid #ffffff;
    border-radius: 1.5rem;
    box-shadow: 0 4px 4px #000000bf;

    &-header {
      display: flex;
      justify-content: space-between;
      margin-bottom: 3.2rem;
      font-weight: 700;
      font-size: 5rem;
      color: $white;
      text-align: left;
    }

    &-radial-container {
      display: flex;
    }

    &-radial1 {
      width: 50%;
      height: .4rem;
      border-radius: 2px;
      background-color: #43eb02;
    }

    &-radial2 {
      width: 50%;
      height: .4rem;
      border-radius: 2px;
      background-color: #1d222e;
    }

    &-button__container {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      margin-top: 7.1rem;

      &-button {
        margin: auto;
        padding: 0;
        cursor: pointer;
      }
    }
  }

  &__container {
    margin: 3.2rem 0 3.3rem;

    &-challenge {
      display: flex;
      justify-content: space-between;
      margin-bottom: 3.3rem;
      font-size: 3rem;

      &__display {
        display: flex;
      }

      &-name {
        color: $blue-light-one;
      }

      &-game {
        margin-left: 1rem;
        text-transform: uppercase;
      }

      &-dot {
        display: inline-block;
        width: 1rem;
        height: 1rem;
        margin: auto 0.5rem auto 0;
        border-radius: 50%;

        &--green {
          @extend .challenge__container-challenge-dot;

          background-color: $dashboard__header-challenges;
        }

        &--orange {
          @extend .challenge__container-challenge-dot;

          background-color: $dashboard-orange;
        }

        &--red {
          @extend .challenge__container-challenge-dot;

          background-color: $red;
        }
      }

      &-status {
        display: flex;
        height: fit-content;
        padding: 0.5rem 1rem;
        font-size: 1.5rem;
        color: $white;
        text-transform: uppercase;

        &--green {
          @extend .challenge__container-challenge-status;

          background-color: $dashboard__header-challenges-30opacity;
        }

        &--orange {
          @extend .challenge__container-challenge-status;

          background-color: $dashboard-orange-30opacity;
        }

        &--red {
          @extend .challenge__container-challenge-status;

          background-color: $red-30opacity;
        }
      }
    }

    &-ending {
      margin-bottom: 3.3rem;
      font-size: 2.5rem;
      color: $blue-light-one;
    }

    &-rules {
      display: flex;
      font-size: 3rem;

      &__header {
        margin-right: 2rem;
        color: $blue-light-one;
      }

      &__initial {
        display: flex;
        flex-direction: column;
        width: 100%;

        &-rule {
          display: flex;
          flex-direction: column;
          justify-content: space-between;
        }
      }

      &__row {
        width: 100%;
        font-size: 2.5rem;
        text-align: center;
      }

      &__join {
        width: fit-content;
        margin: 1rem auto;
        padding: 0.4rem 0.8rem;
        border: 1px solid $challenge-green;
        border-radius: 5px;
        font-size: 2rem;
        color: $challenge-green;
        text-align: center;
        background-color: $dashboard__header-challenges-30opacity;
      }
    }

    &-bounty {
      margin-top: 4.5rem;
      text-align: center;

      &-value {
        font-size: 4rem;
        color: $challenge-green;
      }

      &-radial {
        width: 18.5rem;
        height: 2px;
        margin: auto;
        background-color: $blue-light-one;
      }

      &-header {
        font-size: 2.5rem;
        color: $blue-light-one;
      }
    }

    &-streamer {
      display: flex;
      align-items: center;
      margin-bottom: 3.3rem;

      &-header {
        display: flex;
        align-items: center;
        font-size: 3rem;
        color: $blue-light-one;
      }

      &-avatar {
        position: static;
        width: 6.1rem;
        height: 6.1rem;
        margin: 0 1rem 0 2rem;
        border: 2px solid white;
        border-radius: 6.1rem;
        object-fit: cover;
        cursor: pointer;
      }

      &-username {
        display: flex;
        font-style: italic;
        font-size: 2.5rem;
        color: $white;
        cursor: pointer;
      }
    }

    &-donation {
      display: flex;
      align-items: flex-end;
      margin-bottom: 3.2rem;
      font-size: 3rem;

      &-header {
        margin-right: 2rem;
        color: $blue-light-one;
      }

      &-value {
        font-size: 2.5rem;
        color: $white;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &__details {
      width: 38vw;

      &-header {
        margin-bottom: 2rem;
        font-size: 3rem;
      }
    }

    &__container {
      margin: 2rem 0;

      &-challenge {
        margin-bottom: 2rem;
        font-size: 2rem;
      }

      &-streamer {
        margin-bottom: 2rem;

        &-header {
          font-size: 2rem;
        }

        &-username {
          font-size: 1.7rem;
        }

        &-avatar {
          width: 4.1rem;
          height: 4.1rem;
        }
      }

      &-ending {
        margin-bottom: 2rem;
        font-size: 2rem;
      }

      &-donation {
        align-items: center;
        margin-bottom: 2rem;
        font-size: 2rem;

        &-value {
          font-size: 1.7rem;
        }
      }

      &-bounty {
        margin-top: 3rem;

        &-value {
          font-size: 3rem;
        }

        &-radial {
          width: 12.5rem;
          margin: 5px auto;
        }

        &-header {
          font-size: 1.5rem;
        }
      }

      &-rules {
        font-size: 2rem;

        &__row {
          font-size: 1.7rem;
        }

        &__join {
          font-size: 1.5rem;
        }
      }
    }

    &__details-button__container {
      margin-top: 5rem;

      &-button {
        &-donate {
          height: 6rem;
        }

        &-share {
          height: 6rem;
        }
      }
    }

    @media only screen and (max-width: 768px) {
      &__details {
        width: 45%;
      }
    }
  }
}
